commonLabels:
  prometheus: default

defaultRules:
  create: true
  rules:
    alertmanager: true
    etcd: false
    general: true
    k8s: true
    kubeApiserver: true
    kubePrometheusNodeAlerting: true
    kubePrometheusNodeRecording: true
    kubeScheduler: false
    kubernetesAbsent: true
    kubernetesApps: true
    kubernetesResources: true
    kubernetesStorage: true
    kubernetesSystem: true
    node: true
    prometheusOperator: true
    prometheus: true
    time: false

prometheusOperator:
  resources:
    limits:
      memory: 256Mi
    requests:
      cpu: 15m
      memory: 256Mi

prometheus:
  prometheusSpec:
    serviceMonitorSelectorNilUsesHelmValues: false
  serviceMonitorSelector: []
  ## Example which selects ServiceMonitors with label "prometheus" set to "somelabel"
  # serviceMonitorSelector:
    # matchLabels:
    #   prometheus: default
  resources:
    limits:
      memory: 500Mi
    requests:
      cpu: 10m
      memory: 300Mi
  ingress:
    enabled: true
    annotations:
      kubernetes.io/ingress.class: nginx
      kubernetes.io/tls-acme: "true"

    hosts:
      - prometheus.34.69.247.181.sslip.io

    tls:
      - secretName: prometheus-tls
        hosts:
          - prometheus.34.69.247.181.sslip.io

kubeDns:
  enabled: true

coreDns:
  enabled: false

kubeScheduler:
  enabled: false

kubeControllerManager:
  enabled: false